name: Docker (tags)

on:
  push:
    tags:
      - '*'

env:
  IMAGE: code.foss.global/host.today/ht-docker-node:dbase_dind
  NPMCI_LOGIN_DOCKER_GITEA: ${{ github.server_url }}|${{ gitea.repository_owner }}|${{ secrets.GITEA_TOKEN }}
  NPMCI_LOGIN_DOCKER_DOCKERREGISTRY: ${{ secrets.NPMCI_LOGIN_DOCKER_DOCKERREGISTRY }}

jobs:
  release:
    if: github.event_name == 'push' && startsWith(github.ref, 'refs/tags/')
    runs-on: ubuntu-latest
    container:
      image: ${{ env.IMAGE }}

    steps:
      - uses: actions/checkout@v3

      - name: Prepare
        run: |
          pnpm install -g pnpm
          pnpm install -g @git.zone/tsdocker

      - name: Release
        run: |
          tsdocker login
          tsdocker build
          tsdocker push
